<script lang="ts">
	import Card from '../../components/Card.svelte'
	import Map from '../../components/map.svelte'
	import type { PageData } from './$types'

	interface Props {
		data: PageData;
	}

	let { data }: Props = $props();
</script>

<div class="container">
	<h1>Welcome, {data.user?.name}</h1>

	<p>
		{#if data.user?.userRoutes.length}
			Ready to pick up another route?
		{:else}
			Looks like you don't have any active routes. Are you ready to start a new adventure?
		{/if}
	</p>

	<!-- TODO: Eventually these will be populated in an #each when we get more routes -->

	<div class="flex">
		{#if !data.user?.userRoutes.find((o) => o.route.name === 'Length of the UK')}
			<Card
				title={`Length of the UK (${data.uk.lengthKM} km)`}
				description="Starting at Land's End and finishing at John o Groats, this will take you the entire length of the UK."
				link="Select this route"
				href={`?/test`}
				postValue={data.uk.id}
				style="width:350px;"
			>
				<Map
					id="uk"
					disableUserZoom={true}
					meterDistance={data.uk.lengthKM * 1000 * 0.7}
					journey={data.uk.geometry}
					drawMarker={false}
					overrideZoom={4.5}
					style="height: 300px;"
				/>
			</Card>
		{/if}
		{#if !data.user?.userRoutes.find((o) => o.route.name === 'English Channel')}
			<Card
				title={`English Channel (${data.englishChannel.lengthKM} km)`}
				description="Swim, paddle, or sail across the historic English Channel on our virtual route. Breathtaking views included."
				link="Select this route"
				href={`?/test`}
				postValue={data.englishChannel.id}
				style="width:350px;"
			>
				<Map
					id="englishChannel"
					disableUserZoom={true}
					meterDistance={(data.englishChannel.lengthKM * 1000) / 2}
					journey={data.englishChannel.geometry}
					drawMarker={false}
					overrideZoom={9}
					style="height: 300px;"
				/>
			</Card>
		{/if}
		<Card
			title="A third choice (??? km)"
			description="We need three starter routes just like how there's three starting pokemon"
			link="Select this route"
			href={`?/test`}
			postValue={0}
			style="width:350px;"
		>
			<Map
				id="another"
				disableUserZoom={true}
				meterDistance={0.01}
				journey={''}
				drawMarker={false}
				overrideZoom={1}
				style="height: 300px;"
			/>
		</Card>
		<div style="height: 5rem; width: 100%"></div>
	</div>
</div>

<style>
	h1,
	h2 {
		font-weight: 400;
		color: #ffffffaa;
	}

	.container {
		margin-left: 2rem;
		margin-right: 2rem;
	}

	p {
		color: #ffffff99;
		font-weight: 300;
		text-align: center;
		font-size: 1.2rem;
		margin-left: 2rem;
		margin-right: 2rem;
	}

	.flex {
		display: flex;
		justify-content: space-evenly;
		justify-items: center;
		flex-basis: auto;
		flex-wrap: wrap;
		row-gap: 1rem;
	}
</style>
